"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = cmd;
var _commons = require("@miso.ai/commons");
function cmd(callback) {
  // kick off misodev execution
  const cmdTransforms = [];
  function addCmdTransform(transform) {
    cmdTransforms.push(transform);
  }
  (0, _commons.cmd)('misodev', {
    transform: fn => () => fn({
      addCmdTransform
    })
  });
  const cmdTransform = fn => {
    for (const transform of cmdTransforms) {
      fn = transform(fn);
    }
    return fn;
  };

  // do misocmd with setTimeout, so they will be executed after plugins are installed.
  setTimeout(() => {
    (0, _commons.cmd)('misocmd', {
      transform: cmdTransform
    });
    callback && callback();
  });
}